package projectzombie.input;

import org.lwjgl.glfw.GLFW;
import org.lwjgl.glfw.GLFWMouseButtonCallbackI;

public class MouseButtonCallback implements GLFWMouseButtonCallbackI
{

	@Override
	public void invoke(long window, int button, int action, int mods)
	{
		InputMode.Controller = false;
		
		if(button == GLFW.GLFW_MOUSE_BUTTON_LEFT) {
			GameInput.buttonL = action == 1;
		}
		
		if(button == GLFW.GLFW_MOUSE_BUTTON_RIGHT) {
			GameInput.buttonR = action == 1;
		}
	}

}
